# MutableCapabilitiesMetadata

interface MutableCapabilitiesMetadata : CapabilitiesMetadata

Describes the capabilities of a component in a mutable way. This interface can be used to adjust the capabilities of a published component via metadata rules (see org.gradle.api.artifacts.dsl.ComponentMetadataHandler.

#### Since

4.7

## Functions

addCapability
Link copied to clipboard
abstract fun addCapability(group: String, name: String, version: String)
Adds a new capability.
asImmutable
Link copied to clipboard
abstract fun asImmutable(): CapabilitiesMetadata
Returns an immutable vew of the capabilities.
getCapabilities
Link copied to clipboard
abstract fun getCapabilities(): List<out Capability>
removeCapability
Link copied to clipboard
abstract fun removeCapability(group: String, name: String)
Removes a capability.